# Module `awful.widget.taglist`

### Info:

- Copyright: 2008-2009 Julien Danjou
- Release: v3.5.4
- Author: Julien Danjou <julien@danjou.info>

## Functions

gettag (widget) | Get the tag object the given widget appears on.
new (screen, filter, buttons, style, update_function, base_widget) | Create a new taglist widget.
taglist.filter.noempty (t, args) | Filtering function to include all nonempty tags on the screen.
taglist.filter.all (t, args) | Filtering function to include all tags on the screen.

## Functions

gettag (widget)
  Get the tag object the given widget appears on.

  ### Parameters:

  - widget The widget the look for.

  ### Returns:

  The tag object.
new (screen, filter, buttons, style, update_function, base_widget)
  Create a new taglist widget. The last two arguments (update_function and base_widget) serve to customize the layout of the taglist (eg. to make it vertical). For that, you will need to copy the awful.widget.common.list_update function, make your changes to it and pass it as update_function here. Also change the base_widget if the default is not what you want.

  ### Parameters:

  - screen The screen to draw taglist for.
  - filter Filter function to define what clients will be listed.
  - buttons A table with buttons binding to set.
  - style The style overrides default theme.
  - update_function Optional function to create a tag widget on each update. @see awful.widget.common.
  - base_widget Optional container widget for tag widgets. Default is wibox.layout.fixed.horizontal(). bg_focus The background color for focused client. fg_focus The foreground color for focused client. bg_urgent The background color for urgent clients. fg_urgent The foreground color for urgent clients. squares_sel Optional: a user provided image for selected squares. squares_unsel Optional: a user provided image for unselected squares. squares_sel_empty Optional: a user provided image for selected squares for empty tags. squares_unsel_empty Optional: a user provided image for unselected squares for empty tags. squares_resize Optional: true or false to resize squares. font The font.
taglist.filter.noempty (t, args)
  Filtering function to include all nonempty tags on the screen.

  ### Parameters:

  - t The tag.
  - args unused list of extra arguments.

  ### Returns:

  true if t is not empty, else false
taglist.filter.all (t, args)
  Filtering function to include all tags on the screen.

  ### Parameters:

  - t The tag.
  - args unused list of extra arguments.

  ### Returns:

  true

generated by LDoc 1.4.2